CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2005-1409

PostgreSQL 7.3.x through 8.0.x gives public EXECUTE access to certain character conversion functions, which allows unprivileged users to call those functions with malicious values, with unknown impact, aka the "Character conversion vulnerability."
Publish Date : 2005-05-03 Last Update Date : 2018-10-19
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.5
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access User
Vulnerability Type(s)
CWE ID CWE id is not defined for this vulnerability

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat moderate 2005-05-03 2005-05-02
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2005-1409 oval:org.opensuse.security:def:20051409 unix
PostgreSQL 7.3.x through 8.0.x gives public EXECUTE access to certain character conversion functions, which allows unpri... oval:org.mitre.oval:def:10050 unix
PostgreSQL Character Conversion Vulnerability oval:org.mitre.oval:def:676 unix
RHSA-2005:433: postgresql security update (Moderate) oval:com.redhat.rhsa:def:2005433 unix
RHSA-2005:433: postgresql security update (Moderate) oval:com.redhat.rhsa:def:20050433 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2005-1409

# Product Type Vendor Product Version Update Edition Language
1 Application Postgresql Postgresql 7.2.1 Version Details Vulnerabilities
2 Application Postgresql Postgresql 7.2.2 Version Details Vulnerabilities
3 Application Postgresql Postgresql 7.2.3 Version Details Vulnerabilities
4 Application Postgresql Postgresql 7.2.4 Version Details Vulnerabilities
5 Application Postgresql Postgresql 7.2.5 Version Details Vulnerabilities
6 Application Postgresql Postgresql 7.2.6 Version Details Vulnerabilities
7 Application Postgresql Postgresql 7.2.7 Version Details Vulnerabilities
8 Application Postgresql Postgresql 7.3 Version Details Vulnerabilities
9 Application Postgresql Postgresql 7.3.1 Version Details Vulnerabilities
10 Application Postgresql Postgresql 7.3.2 Version Details Vulnerabilities
11 Application Postgresql Postgresql 7.3.3 Version Details Vulnerabilities
12 Application Postgresql Postgresql 7.3.4 Version Details Vulnerabilities
13 Application Postgresql Postgresql 7.3.5 Version Details Vulnerabilities
14 Application Postgresql Postgresql 7.3.6 Version Details Vulnerabilities
15 Application Postgresql Postgresql 7.3.7 Version Details Vulnerabilities
16 Application Postgresql Postgresql 7.3.8 Version Details Vulnerabilities
17 Application Postgresql Postgresql 7.3.9 Version Details Vulnerabilities
18 Application Postgresql Postgresql 7.4 Version Details Vulnerabilities
19 Application Postgresql Postgresql 7.4.1 Version Details Vulnerabilities
20 Application Postgresql Postgresql 7.4.2 Version Details Vulnerabilities
21 Application Postgresql Postgresql 7.4.3 Version Details Vulnerabilities
22 Application Postgresql Postgresql 7.4.4 Version Details Vulnerabilities
23 Application Postgresql Postgresql 7.4.5 Version Details Vulnerabilities
24 Application Postgresql Postgresql 7.4.6 Version Details Vulnerabilities
25 Application Postgresql Postgresql 7.4.7 Version Details Vulnerabilities
26 Application Postgresql Postgresql 8.0 Version Details Vulnerabilities
27 Application Postgresql Postgresql 8.0.1 Version Details Vulnerabilities
28 Application Postgresql Postgresql 8.0.2 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Postgresql Postgresql 28

- References For CVE-2005-1409

http://www.securityfocus.com/bid/13476
BID 13476 PostgreSQL Character Set Conversion Privilege Escalation Vulnerability Release Date:2007-03-01
http://www.vupen.com/english/advisories/2005/0453
VUPEN ADV-2005-0453
http://www.redhat.com/support/errata/RHSA-2005-433.html
REDHAT RHSA-2005:433
http://www.securityfocus.com/archive/1/426302/30/6680/threaded
FEDORA FLSA-2006:157366
http://archives.postgresql.org/pgsql-announce/2005-05/msg00001.php
MLIST [pgsql-announce] 20050502 IMPORTANT: two new PostgreSQL security problems found
http://www.postgresql.org/about/news.315 CONFIRM
http://www.novell.com/linux/security/advisories/2005_36_sudo.html
SUSE SUSE-SA:2005:036

- Metasploit Modules Related To CVE-2005-1409

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.